var ignorePause = false;

function playVideo( videoDiv )
{
	var target = $('video', $(this))
	
	// Nasty hack to get the animation to work in WebView
	// If we don't start play there is no image for WebView to animate out
	// (Although safari handles stuff just fine...)
	target.get(0).play();
	ignorePause = true;
	target.get(0).pause();
	target.get(0).currentTime = 0;
	
	target.show( 1000, function()
		{
			$(this).get(0).currentTime = 0;
			$(this).get(0).play();
			ignorePause = false;
		} );
	$(this).attr('class', 'help_video_playing');
	var viewportHeight = $(window).height();
	var targetHeight = 540;
	$('html,body').animate(
		{
	  	scrollTop: target.offset().top - ((viewportHeight - targetHeight) / 2)
	  }, 1000);
}

function pauseVideo()
{
	if( !ignorePause )
	{
		$(this).hide( 1000, function()
		{
			$(this).parent().attr('class', 'help_video_hidden');
		} );
	}
}

$(document).ready( function()
{
	$('.help_video_hidden').click( playVideo );

	$('.help_video_hidden video').on('pause', pauseVideo );
} );
