//  Copyright (c) 2013 Open Planet Software. All rights reserved.


varying vec2 texCoordVarying;
uniform sampler2D sourceImage;

void main()
{
    vec4 textureColor = texture2D(sourceImage, texCoordVarying);
    float luminance = textureColor.r * 0.299 + textureColor.g * 0.587 + textureColor.b * 0.114;
	gl_FragColor = vec4( luminance, luminance, luminance, 1.0 );
}
