//  Copyright (c) 2013 Open Planet Software. All rights reserved.

varying vec2 texCoordVarying;

uniform sampler2D sourceImage;
uniform vec4 tint;

void main()
{
    vec4 colour = texture2D( sourceImage, texCoordVarying ) * tint;
    colour.w = tint.w;
    gl_FragColor = colour;
}
